Update.
authordrepper <drepper>
Tue, 30 Sep 1997 16:02:33 +0000 (16:02 +0000)
committerdrepper <drepper>
Tue, 30 Sep 1997 16:02:33 +0000 (16:02 +0000)
BUGS
FAQ

diff --git a/BUGS b/BUGS
index 520311f..10f72ed 100644 (file)
--- a/BUGS
+++ b/BUGS
@@ -1,7 +1,7 @@
            List of known bugs (certainly very incomplete)
            ----------------------------------------------
 
-Time-stamp: <1997-09-06T18:30:16+0200 drepper>
+Time-stamp: <1997-09-28T22:58:35+0200 drepper>
 
 This following list contains those bugs which I'm aware of.  Please
 make sure that bugs you report are not listed here.  If you can fix one
@@ -56,6 +56,20 @@ Severity: [  *] to [***]
 [  *]  The rcmd() functions (more concrete: the handling of .rhosts) does
        not support netgroups and wildcards (+).
 
+[  *]  The first alias definition in locale.alias is ignored.
+       [PR libc/205]
+
+[  *]  When assembling a locale definition, that uses the "copy"
+       directive, with localedef, not only the copied category is
+       checked for errors, but the whole file containing the same
+       category.
+       [PR libc/207]
+
+[  *]  configuring with CFLAGS="-pipe" configure doesn't work
+       with gcc. This seems to be a bug in gcc 2.7.2.x (egcs doesn't
+       have this bug).
+       [PR libc/245]
+
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 Ulrich Drepper
 drepper@cygnus.com
diff --git a/FAQ b/FAQ
index 568af9f..bba8bef 100644 (file)
--- a/FAQ
+++ b/FAQ
@@ -90,6 +90,9 @@ please let me know.
 
 [Q25]  ``After installing glibc name resolving doesn't work properly.''
 
+
+[Q26]  ``I have /usr/include/net and /usr/include/scsi as symlinks
+         into my Linux source tree.  Is that wrong?''
 \f
 ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
 [Q1]   ``What systems does the GNU C Library run on?''
@@ -652,7 +655,7 @@ results because of type conflicts.
 a point where it is stable.  There are still lots of incompatible changes
 made and the libc headers have to follow.
 
-Currently (as of 970401) according to Philip Blundell <pjb27@cam.ac.uk>
+Currently (as of 970401) according to Philip Blundell <philb@gnu.ai.mit.edu>
 the required kernel version is 2.1.30.
 
 
@@ -698,6 +701,18 @@ The NSS configuration file is usually the culprit.
 
 
 ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
+[Q26]  ``I have /usr/include/net and /usr/include/scsi as symlinks
+         into my Linux source tree.  Is that wrong?''
+
+[A26] {PB} This was necessary for libc5, but is not correct when using
+glibc.  Including the kernel header files directly in user programs
+usually does not work (see Q21).  glibc provides its own <net/*> and
+<scsi/*> header files to replace them, and you may have to remove any
+symlink that you have in place before you install glibc.  However,
+/usr/include/asm and /usr/include/linux should remain as they were.
+
+
+~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
 \f
 Answers were given by:
 {UD} Ulrich Drepper, <drepper@cygnus.com>
@@ -706,6 +721,7 @@ Answers were given by:
 {HJL} H.J. Lu, <hjl@gnu.ai.mit.edu>
 {AJ} Andreas Jaeger, <aj@arthur.rhein-neckar.de>
 {EY} Eric Youngdale, <eric@andante.jic.com>
+{PB} Phil Blundell, <Philip.Blundell@pobox.com>
 \f
 Local Variables:
  mode:text